"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportedDatasources = exports.defaultConfig = exports.extractPackageFile = void 0;
const bazel_1 = require("../../datasource/bazel");
const github_tags_1 = require("../../datasource/github-tags");
const extract_1 = require("./extract");
Object.defineProperty(exports, "extractPackageFile", { enumerable: true, get: function () { return extract_1.extractPackageFile; } });
exports.defaultConfig = {
    fileMatch: ['(^|/)MODULE\\.bazel$'],
    // The bazel-module manager is still under development. The milestone
    // tracking the release of this manager is at
    // https://github.com/renovatebot/renovate/issues/13658.
    enabled: false,
};
exports.supportedDatasources = [
    bazel_1.BazelDatasource.id,
    github_tags_1.GithubTagsDatasource.id,
];
//# sourceMappingURL=index.js.map